using Newtonsoft.Json;

namespace OF_DL.Models.Dtos.Common;

public class SquarePreviewDto
{
    [JsonProperty("url")] public string Url { get; set; } = "";

    [JsonProperty("width")] public int Width { get; set; }

    [JsonProperty("height")] public int Height { get; set; }

    [JsonProperty("size")] public long Size { get; set; }

    [JsonProperty("sources")] public SourcesDto Sources { get; set; } = new();
}
